Intelli Recover Client
6 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| addMonitorClients | POST | Add client into intelli recover client list |
| deleteMonitorClients | DELETE | Delete the intelli recover client |
| getEligibleClientList | GET | Obtain the list of clients that can be monitored |
| getGridMonitorClient | GET | Get the intelli recover client list |
| rebootClientUplinkPoe | POST | Reboot the client uplinkDevice poe |
| verifyMonitorClient | POST | Verify if the client is allowed to be monitored |
addMonitorClients
POST /openapi/v1/{omadacId}/sites/{siteId}/monitor-client/add
Add client into intelli recover client list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema AddMonitorClientList
| Field | Type | Required | Description |
|---|---|---|---|
addClientList | array<MonitorClient> | no | The client to be added to the monitor list |
// omada_call_operation
{
"operationId": "addMonitorClients",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Add client into intelli recover client list
The interface requires one of the permissions:
Device Recovery Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
deleteMonitorClients
DELETE /openapi/v1/{omadacId}/sites/{siteId}/monitor-client/delete
Delete the intelli recover client
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema DeleteIntelliRecoverClient
| Field | Type | Required | Description |
|---|---|---|---|
deleteMacs | array<string> | no | The client macs to be deleted from intelli recover client list. |
// omada_call_operation
{
"operationId": "deleteMonitorClients",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Delete the intelli recover client
The interface requires one of the permissions:
Device Recovery Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
getEligibleClientList
GET /openapi/v1/{omadacId}/sites/{siteId}/monitor-client/eligible-client-grids
Obtain the list of clients that can be monitored
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getEligibleClientList",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Obtain the list of clients that can be monitored
The interface requires one of the permissions:
Device Recovery View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
getGridMonitorClient
GET /openapi/v1/{omadacId}/sites/{siteId}/monitor-client/grids
Get the intelli recover client list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getGridMonitorClient",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get the intelli recover client list
The interface requires one of the permissions:
Device Recovery View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
rebootClientUplinkPoe
POST /openapi/v1/{omadacId}/sites/{siteId}/monitor-client/reboot-uplink-poe
Reboot the client uplinkDevice poe
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema MonitorClient
| Field | Type | Required | Description |
|---|---|---|---|
id | string | no | The monitor client Id |
customId | string | no | The client Id |
name | string | no | The client name |
mac | string | yes | The client mac |
ip | string | no | The client ip |
deviceType | integer | no | The client type |
type | string | no | The client type.Such as: ap, switch, gateway |
showModel | string | no | The client showModel |
specialModel | string | no | The client specialModel |
model | string | no | The client model |
modelVersion | string | no | The client modelVersion |
modelModelVersion | string | no | The client modelModelVersion |
clientFlag | boolean | no | Whether the device is a client |
statusCategory | integer | no | Whether the client is online |
monitoringStatus | integer | no | The client monitoringStatus |
recoveryCycles | integer | no | The client recoveryCycles |
ClientUplinkDevice | ClientUplinkDevice | no | (ClientUplinkDevice not expanded; call omada_get_schema "ClientUplinkDevice") |
eligibleFlag | boolean | no | Whether the client can be monitored |
notEligibleReason | string | no | The reason of the client can't be monitored |
// omada_call_operation
{
"operationId": "rebootClientUplinkPoe",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Reboot the client uplinkDevice poe
The interface requires one of the permissions:
Device Recovery Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
verifyMonitorClient
POST /openapi/v1/{omadacId}/sites/{siteId}/monitor-client/verify
Verify if the client is allowed to be monitored
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema VerifyClientVO
| Field | Type | Required | Description |
|---|---|---|---|
monitorClient | MonitorClient | no | (MonitorClient not expanded; call omada_get_schema "MonitorClient") |
// omada_call_operation
{
"operationId": "verifyMonitorClient",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Verify if the client is allowed to be monitored
The interface requires one of the permissions:
Device Recovery View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.